Page MenuHomePhabricator

Phabricator Maniphest showing "Cancelar suscripción" in English user interface
Closed, DeclinedPublic

Description

Phabricator Maniphest is showing "Cancelar suscripción" in the English user interface.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2019, 6:28 AM
Peachey88 removed a subscriber: Peachey88.

Working fine for me, Can you confirm what language you have selected in your user settings?

Aklapper changed the task status from Open to Stalled.Sep 12 2019, 9:46 AM

FYI https://translatewiki.net/w/i.php?title=Special:SearchTranslations&match=all&query=Cancelar+suscripci%C3%B3n&group=phabricator&grouppath=phabricator

Translatewiki.net never export English so it's not possible that the translation for an English string would be replaced from translatewiki.net.

Isarra added a subscriber: Isarra.Sep 12 2019, 3:33 PM

Working fine for me, Can you confirm what language you have selected in your user settings?

My language got changed to "Spanish (Spain)" somehow. I definitely did not touch this.

The other strange part is that seemingly only this "Unsubscribe" string was translated. The rest of the user interface was in English. I changed my user setting (back to???) "English (US)" so the user interface is fixed for me now, but something strange is definitely going on here.

There's technically a transaction history on Settings, but it's not useful today since the stories don't render properly (only @MZMcBride will be able to see anything here):

https://phabricator.wikimedia.org/feed/transactions/?objectType=PSET&author=MZMcBride

This will become more useful in some future version of Phabricator and might shed some light on how/when the language switch happened.

You can also go fishing for the record in the database; it will look something like this:

mysql> select * from user_preferencestransaction order by id desc limit 1\G
*************************** 1. row ***************************
             id: 770
           phid: PHID-XACT-PSET-am3phasxmryowye
     authorPHID: PHID-USER-icyixzkx3f4ttv67avbn
     objectPHID: PHID-PSET-r4op57iyufthgikewaxp
     viewPolicy: public
     editPolicy: PHID-USER-icyixzkx3f4ttv67avbn
    commentPHID: NULL
 commentVersion: 0
transactionType: setting
       oldValue: null
       newValue: "en_P*"
  contentSource: {"source":"web","params":[]}
       metadata: {"setting.key":"translation","core.groupID":"i3yi2ych77pncibs4rthhfvocf72nwwn"}
    dateCreated: 1568331337
   dateModified: 1568331337
1 row in set (0.00 sec)

Notably:

  • authorPHID will be @MZMcBride's PHID;
  • newValue will be "es_ES" or something like that (Spanish locale code);
  • the "setting.key" in "metadata" will be "translation".

If no record is present, that might imply some sort of mischievous imp interacted with the database directly; there "shouldn't" be any way for the value to change via the application without creating a transaction record.

Aklapper closed this task as Declined.Wed, Aug 5, 2:30 PM

DB states that the language was set to Spanish 2016-10-30 and changed to English on 2019-09-12:

mysql:phstats@m3-slave.eqiad.wmnet [phabricator_maniphest]> SELECT id,transactionType,oldValue,newValue,metadata,dateCreated FROM phabricator_user.user_preferencestransaction WHERE authorPHID = "PHID-USER-hyfm4swq76s4j642w46x" AND metadata LIKE "%translation%";
+-------+-----------------+----------+----------+---------------------------------------------------------------------------------+-------------+
| id    | transactionType | oldValue | newValue | metadata                                                                        | dateCreated |
+-------+-----------------+----------+----------+---------------------------------------------------------------------------------+-------------+
|  3945 | setting         | null     | "es_ES"  | {"setting.key":"translation"}                                                   |  1477790715 |
| 23905 | setting         | "es_ES"  | "en_US"  | {"setting.key":"translation","core.groupID":"xuyq45t72qfacm5tec7rp3vuegj2afm7"} |  1568305473 |
+-------+-----------------+----------+----------+---------------------------------------------------------------------------------+-------------+
2 rows in set (0.020 sec)

I assume that the initial action to set Spanish was somehow performed by mistake, hence closing this task.